Bug 252309 - science/openbabel: upgrade to 3.1.1
Summary: science/openbabel: upgrade to 3.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://github.com/openbabel/openbabe...
Keywords:
Depends on:
Blocks: 252308
  Show dependency treegraph
 
Reported: 2020-12-31 16:24 UTC by Thierry Thomas
Modified: 2021-01-13 09:14 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments
Patch to upgrade OpenBabel to 3.1.1 (15.98 KB, patch)
2020-12-31 16:24 UTC, Thierry Thomas
no flags Details | Diff
science/kalzium: chase openbabel to 3 + set licenses (1.26 KB, patch)
2020-12-31 16:29 UTC, Thierry Thomas
no flags Details | Diff
science/gchemutils: chase the upgrade of OpenBabel to 3 (788 bytes, patch)
2020-12-31 16:31 UTC, Thierry Thomas
no flags Details | Diff
science/molsketch: upgrade to 0.7.0 (2.50 KB, patch)
2020-12-31 16:33 UTC, Thierry Thomas
no flags Details | Diff
science/xdrawchem: chase the upgrade to OpenBabel 3 (9.85 KB, patch)
2020-12-31 16:34 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2020-12-31 16:24:31 UTC
Created attachment 221136 [details]
Patch to upgrade OpenBabel to 3.1.1

To upgrade science/v_sim, OpenBabel 3 is needed (see PR 252308), but ATM the port has 2.4.1.

Release notes are available at <https://github.com/openbabel/openbabel/releases>.

We could keep the actual port, and repocopy it to science/openbabel3, but since it only has 5 consumers in the ports tree, this does not seem very useful.

The proposed patch upgrade science/openbabel to 3.1.1, and 4 other patches are attached for the consumers to chase this upgrade.

- science_kalzium.diff for science/kalzium
	(since I'm there, it also define the licenses)

- science_gchemutils.diff for science/gchemutils

- science_molsketch.diff for science/molsketch
	simple upgrade to 0.7.0 which knows OpenBabel3

- science_xdrawchem.diff for science/xdrawchem
	with patches from https://github.com/bryanherger/xdrawchem/pull/17
Comment 1 Thierry Thomas freebsd_committer 2020-12-31 16:29:51 UTC
Created attachment 221137 [details]
science/kalzium: chase openbabel to 3 + set licenses

Patch to chase OpenBabel 3 to science/kalzium + set licenses.
Comment 2 Thierry Thomas freebsd_committer 2020-12-31 16:31:36 UTC
Created attachment 221138 [details]
science/gchemutils: chase the upgrade of OpenBabel to 3

science/gchemutils: chase the upgrade of OpenBabel to 3.
Comment 3 Thierry Thomas freebsd_committer 2020-12-31 16:33:32 UTC
Created attachment 221139 [details]
science/molsketch: upgrade to 0.7.0

science/molsketch: Just upgrade to 0.7.0 which knows OpenBabel.
Comment 4 Thierry Thomas freebsd_committer 2020-12-31 16:34:52 UTC
Created attachment 221140 [details]
science/xdrawchem: chase the upgrade to OpenBabel 3

science/xdrawchem: chase the upgrade to OpenBabel 3
Comment 5 Thierry Thomas freebsd_committer 2020-12-31 16:35:58 UTC
Adding KDE, maintainer of science/kalzium.
Comment 6 Tobias C. Berner freebsd_committer 2021-01-11 16:59:22 UTC
Moin moin 

You might just want to add 
https://invent.kde.org/education/kalzium/commit/2b9ebd85.patch
to science/kalzium


mfg Tobias
Comment 7 commit-hook freebsd_committer 2021-01-11 21:47:29 UTC
A commit references this bug:

Author: tcberner
Date: Mon Jan 11 21:46:48 UTC 2021
New revision: 561281
URL: https://svnweb.freebsd.org/changeset/ports/561281

Log:
  science/kalzium: add support for OpenBable 3.x

  - Add upstream patch

  PR:		252309
  Reported by:	thierry
  Obtained from:	https://invent.kde.org/education/kalzium/commit/2b9ebd85

Changes:
  head/science/kalzium/Makefile
  head/science/kalzium/distinfo
Comment 8 Yuri Victorovich freebsd_committer 2021-01-12 08:57:10 UTC
This update also breaks science/v_sim.
Comment 9 Thierry Thomas freebsd_committer 2021-01-12 12:39:47 UTC
(In reply to Yuri Victorovich from comment #8)

The aim of all this stuff is to be able to upgrade v_sim: see PR 252308 (directly available in the field "Blocks").
Comment 10 Yuri Victorovich freebsd_committer 2021-01-12 17:24:11 UTC
(In reply to Thierry Thomas from comment #9)

Ah, I see. Sorry, I missed the "Blocks" field. -)
Comment 11 Yuri Victorovich freebsd_committer 2021-01-13 00:31:44 UTC
Committed with modifications.

Thank you for submitting the patches, Thierry.
Comment 12 commit-hook freebsd_committer 2021-01-13 00:31:55 UTC
A commit references this bug:

Author: yuri
Date: Wed Jan 13 00:31:41 UTC 2021
New revision: 561406
URL: https://svnweb.freebsd.org/changeset/ports/561406

Log:
  science/openbabel: Upgrade 2.4.1 -> 3.1.1

  PR:		252309
  Submitted by:	thierry

Changes:
  head/science/gchemutils/Makefile
  head/science/kalzium/Makefile
  head/science/luscus/Makefile
  head/science/molsketch/Makefile
  head/science/molsketch/distinfo
  head/science/molsketch/pkg-plist
  head/science/xdrawchem/Makefile
  head/science/xdrawchem/files/
  head/science/xdrawchem/files/patch-xdrawchem.pro
  head/science/xdrawchem/files/patch-xdrawchem_ioiface.cpp
  head/science/xdrawchem/files/patch-xdrawchem_ioiface.h
  head/science/xdrawchem/files/patch-xdrawchem_molecule.h
  head/science/xdrawchem/files/patch-xdrawchem_molecule__obmol.cpp
  head/science/xdrawchem/files/patch-xdrawchem_molecule__smiles.cpp
Comment 13 commit-hook freebsd_committer 2021-01-13 09:14:15 UTC
A commit references this bug:

Author: tcberner
Date: Wed Jan 13 09:13:49 UTC 2021
New revision: 561445
URL: https://svnweb.freebsd.org/changeset/ports/561445

Log:
  science/kalzium: revrse unnecessary patching

  - OpenBabel3 support was added in r561281 via a patch obtained from upstream
  - The patching done in r561406 is therefore not necessary

  PR:		252309

Changes:
  head/science/kalzium/Makefile